Bug 120022 - CAN-2004-0183/0184 tcpdump ISAKMP crash
Summary: CAN-2004-0183/0184 tcpdump ISAKMP crash
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tcpdump   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL: http://www.rapid7.com/advisories/R7-0...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-05 10:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 07:47:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:219 low SHIPPED_LIVE Low: tcpdump security update 2004-05-26 04:00:00 UTC

Description Mark J. Cox 2004-04-05 10:34:00 UTC
TCPDUMP v3.8.1 and earlier versions contain multiple flaws in the
packet display functions for the ISAKMP protocol.  Upon receiving
specially crafted ISAKMP packets, TCPDUMP will try to read beyond
the end of the packet capture buffer and crash.

This is a low-risk vulnerability, therefore this will get fixed in our
next tcpdump updates.

tcpdump 3.8.2/.3 came out on Mar30 to fix these issues

        CAN-2004-0183/84 Affects: 3AS 3WS 3ES
        CAN-2004-0183/84 Affects: 2.1AS 2.1AW 2.1ES 2.1WS

Comment 1 Leonard den Ottolander 2004-04-08 10:00:08 UTC
Mark, could you be so kind to propagate these reports to Fedora Core
as well? It seems a bit redundant somebody else has to pick up on this
when you are obviously already aware of the issue.

Filed the issue for Fedora Core 1 under bug 120383.


Comment 2 Mark J. Cox 2004-05-26 07:47:28 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-219.html



Note You need to log in before you can comment on or make changes to this bug.